# pandas.api.extensions.ExtensionArray._from_sequence

classmethod ExtensionArray._from_sequence(scalars, *, dtype=None, copy=False)

  Construct a new ExtensionArray from a sequence of scalars.

  Parameters
    scalars Sequence

      Each element will be an instance of the scalar type for this array, `cls.dtype.type` or be converted into this type in this method.

    dtype dtype, optional

      Construct for this particular dtype. This should be a Dtype compatible with the ExtensionArray.

    copy bool, default False

      If True, copy the underlying data.

  Returns
    ExtensionArray